<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006-2019 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------



// [ 应用入口文件 ]
namespace think;

require __DIR__ . '/../vendor/autoload.php';

define('ROOT_DIR',__DIR__);//定义根目录物理路径
define('WEB_DIR',dirname($_SERVER['SCRIPT_NAME']));//定义根目录虚拟路径

header("Access-Control-Allow-Credentials:true");
header("Access-Control-Allow-Origin:*");//注意修改这里填写你的前端的域名
header("Access-Control-Max-Age:3600");
header("Access-Control-Allow-Headers:*");
//header("Access-Control-Allow-Headers:DNT,X-Mx-ReqToken,Keep-Alive,User-Agent,X-Requested-With,If-Modified-Since,Cache-Control,Content-Type,Authorization,SessionToken,X-Token");

header('Access-Control-Allow-Methods: GET, POST, PUT,DELETE,OPTIONS, POIST');

// 执行HTTP应用并响应
$http = (new App())->http;

$response = $http->run();

$response->send();

$http->end($response);
