const tagInfo = "[/libs/model/Order.ts]：";
import Http from "../net/Http";

/**
 * 首页
 */
const Order = {
	async list(params: any) {
		let url = "/verify_mobile/order/list";
		let res = await Http.post(url, params, {}, false);
		return res;
	},
	async detail(id: number) {
		let url = "/verify_mobile/order/detail";
		let res = await Http.post(url, { id });
		return res;
	},
	async check(verify_code: string) {
		let url = "/verify_mobile/order/check";
		let res = await Http.post(url, { verify_code });
		return res;
	},
	async verify(verify_code: string, verify_count: number) {
		let url = "/verify_mobile/order/verify";
		let res = await Http.post(url, { verify_code, verify_count });
		return res;
	}
};

export default Order;
