const tagInfo = "[/libs/model/Coupon.ts]：";
import Http from "../net/Http";

/**
 *
 */
const TeacherBind = {
	async addBind(param: object) {
		let url = "/TeacherBind/addBind";
		let res = await Http.post(url, param);
		return res;
	},
	async list(param: object) {
		let url = "/TeacherBind/list";
		let res = await Http.get(url, param);
		return res;
	},
	async delete(id: number | string) {
		let url = "/TeacherBind/delete";
		let res = await Http.get(url, { id });
		return res;
	},
	async changeLogin(id: number | string) {
		let url = "/TeacherBind/changeLogin";
		let res = await Http.get(url, { id });
		return res;
	}
};

export default TeacherBind;
