<?php
/**
 * Created by PhpStorm.
 * User: yckj_lzj
 * Date: 2019-08-22
 * Time: 14:51
 */

namespace app\common;


/**
 * 错误码
 * Class ErrorCode
 * @package app\api
 */
class ErrorCode
{
    /**
     * 返回错误代内容
     * @param $code
     * @return mixed
     */
    public static function getError($code)
    {
        $errArr = self::getErrorArr();
        if(!key_exists($code,$errArr)){
            return "未知错误";
        }
        return $errArr[$code];
    }

    /**
     * 获取错误码数组
     * @return array
     */
    protected static function getErrorArr()
    {
        return [
            "0" => "成功",
            "9001" => "缺少签名",
            "9002" => "签名不正确",
            "9004" => "请求已过期",
            "9999" => "系统错误",

        ];
    }
}