# 宇宸uniapp示例项目

## 项目特点
- 使用vite构建，使用vue3+ts+vite+uniapp 构建
-   [vk-uvviewui](https://vkuviewdoc.fsq.pub/) 组件
## 运行要求
- 请使用node 18以上版本运行  
- 使用vue3+ts+vite+uniapp 
- 可以使用npm、yarn、pnpm 三种包管理工具，推荐使用pnpm

## 运行代码
1. 安装依赖
```
pnpm i 
```
2. 运行
```
# H5
npm run dev:h5
# 微信小程序
npm run dev:mp-weixin
```

## 注意事项
- 凡是编译到微信小程序端，为避免主包过大，建议除tabbar的页面外，其它页面都放到分包中，具体可参考[分包加载配置](https://uniapp.dcloud.net.cn/collocation/pages.html#subpackages)、[关于分包优化的说明](https://uniapp.dcloud.net.cn/collocation/manifest.html#%E5%85%B3%E4%BA%8E%E5%88%86%E5%8C%85%E4%BC%98%E5%8C%96%E7%9A%84%E8%AF%B4%E6%98%8E)