export const provinceList = [
	{ name: "北京", value: "北京", selected: 0 },
	{ name: "天津", value: "天津", selected: 0 },
	{ name: "河北", value: "河北", selected: 0 },
	{ name: "山西", value: "山西", selected: 0 },
	{ name: "内蒙古", value: "内蒙古", selected: 0 },
	{ name: "辽宁", value: "辽宁", selected: 0 },
	{ name: "吉林", value: "吉林", selected: 0 },
	{ name: "黑龙江", value: "黑龙江", selected: 0 },
	{ name: "上海", value: "上海", selected: 0 },
	{ name: "江苏", value: "江苏", selected: 0 },
	{ name: "浙江", value: "浙江", selected: 0 },
	{ name: "安徽", value: "安徽", selected: 0 },
	{ name: "福建", value: "福建", selected: 0 },
	{ name: "江西", value: "江西", selected: 0 },
	{ name: "山东", value: "山东", selected: 0 },
	{ name: "河南", value: "河南", selected: 0 },
	{ name: "湖北", value: "湖北", selected: 0 },
	{ name: "湖南", value: "湖南", selected: 0 },
	{ name: "广东", value: "广东", selected: 0 },
	{ name: "广西", value: "广西", selected: 0 },
	{ name: "海南", value: "海南", selected: 0 },
	{ name: "重庆", value: "重庆", selected: 0 },
	{ name: "四川", value: "四川", selected: 0 },
	{ name: "贵州", value: "贵州", selected: 0 },
	{ name: "云南", value: "云南", selected: 0 },
	{ name: "西藏", value: "西藏", selected: 0 },
	{ name: "陕西", value: "陕西", selected: 0 },
	{ name: "甘肃", value: "甘肃", selected: 0 },
	{ name: "青海", value: "青海", selected: 0 },
	{ name: "宁夏", value: "宁夏", selected: 0 },
	{ name: "新疆", value: "新疆", selected: 0 },
	{ name: "台湾", value: "台湾", selected: 0 },
	{ name: "香港", value: "香港", selected: 0 },
	{ name: "澳门", value: "澳门", selected: 0 }
];
export const periodList = [
	{ name: "上午", value: 1 },
	{ name: "下午", value: 2 }
];
export const passStatusList = [
	{ name: "待审核", value: 0 },
	{ name: "审核通过", value: 1 },
	{ name: "审核不通过", value: -1 }
];
export const EnumHelper = {
	getPeriodText(value: string | number) {
		value = parseInt(value.toString());
		return this.getText(periodList, value);
	},
	getPassStatusText(value: string | number) {
		value = parseInt(value.toString());
		return this.getText(passStatusList, value);
	},
	getText(list: any[], value: string | number, key: string = "name") {
		let text = "";
		list.forEach((item) => {
			if (item.value.toString() === value.toString()) {
				text = item[key];
				return;
			}
		});
		return text.trim();
	}
};
