const tagInfo = "[/libs/model/Coupon.ts]：";
import Http from "../net/Http";

/**
 * 首页
 */
const LeaveApply = {
	async getParentApply() {
		let url = "/LeaveApply/getParentApply";
		let res = await Http.get(url);
		console.log("#debug#🚀 ~ getParentApply ~ res:", res);
		return res;
	},
	async doParentApply(param: object) {
		let url = "/LeaveApply/doParentApply?key=1";
		let res = await Http.post(url, param);
		return res;
	},
	async getParentApplyList(param: object) {
		let url = "/LeaveApply/getParentApplyList";
		let res = await Http.get(url, param, {}, false);
		return res;
	},
	async staticDay(day: string) {
		let url = "/Vacation/staticDay?day=" + day;
		let res = await Http.get(url);
		return res;
	}
};

export default LeaveApply;
