const tagInfo = "[/libs/model/Coupon.ts]：";
import Http from "../net/Http";

/**
 * 首页
 */
const TeacherMoral = {
	async init() {
		let url = "/TeacherMoral/init";
		let res = await Http.get(url);
		return res;
	},
	async searchTeacher(keyword: string) {
		let url = "/TeacherMoral/searchTeacher";
		let res = await Http.get(url, { keyword });
		return res;
	},
	async add(param: object) {
		let url = "/TeacherMoral/add";
		let res = await Http.post(url, param);
		return res;
	},
	async list(param: object) {
		let url = "/TeacherMoral/list";
		let res = await Http.get(url, param);
		return res;
	},
	async detail(id: number | string) {
		let url = "/TeacherMoral/detail";
		let res = await Http.get(url, { id });
		return res;
	}
};

export default TeacherMoral;
