import uView from "./uni_modules/vk-uview-ui";
import { createSSRApp } from "vue";
import App from "./App.vue";
import { createPinia } from "pinia";

export function createApp() {
	const app = createSSRApp(App);
	// 使用 uView UI
	const pinia = createPinia();
	app.use(uView);
	app.use(pinia);
	return {
		app,
		pinia // 此处必须将 Pinia 返回
	};
}
